Last updated

API / geotoolkit / map / sources / Bing / Bing

Class: Bing

sources.Bing.Bing

Tile source that allows user to get tiles from the Bing Maps server

Hierarchy

Table of contents

Constructors
Methods
Css Properties
Name Type Description
imagepoolnumberThe amount of cache for the tile images
maxlodnumberThe maximum level of details for the tiles
minlodnumberThe minimum level of details for the tiles
systemstringInitial data coordinate system
tileheightnumberHeight for the tiles to use (in px)
tilewidthnumberWidth for the tiles to use (in px)
tokenstringAuthorization token (for ArcGIS tile servers if needed)
urlstringData server url

Contents

Constructors

new Bing(options)

new Bing(options?)

Parameters

Name Type Description
Optional optionsOptionsoptions

Overrides

TileSource.constructor

Methods

clear

clear(): Bing

Clears all the data.

Returns

Bing

this

Inherited from

Tile.clear


dispose

dispose(): void

Disposes this source, once disposed it should not be used anymore.

Returns

void

Inherited from

Tile.dispose


getCenterPoint

getCenterPoint(): Point

Returns Bing Maps center point

Returns

Point


getClassName

getClassName(): string

Returns

string

Inherited from

Tile.getClassName


getCopyright

getCopyright(): string

Returns copyright information.

Returns

string

Inherited from

Tile.getCopyright


getCulture

getCulture(): string

Returns Bing Maps culture code

Returns

string


getDataLoader

Protected getDataLoader(): AbstractLoader

Returns server data loader (if exists)

Returns

AbstractLoader

Inherited from

Tile.getDataLoader


getImagerySet

getImagerySet(): BingImagerySet

Returns Bing imagery set

Returns

BingImagerySet


getInitialCoordinateSystem

getInitialCoordinateSystem(): AbstractSystem

Gets current data initial coordinate system.

Returns

AbstractSystem

Inherited from

Tile.getInitialCoordinateSystem


getKey

getKey(): string

Returns Bing Maps API key

Returns

string


getMapCoordinateSystem

getMapCoordinateSystem(): AbstractSystem

Gets current map coordinate system.

Returns

AbstractSystem

Inherited from

Tile.getMapCoordinateSystem


getModelLimits

getModelLimits(): Rect

Returns the current data model limits (presumably loaded from the server if it's settled)

Returns

Rect

Inherited from

Tile.getModelLimits


getProperties

getProperties(): OptionsOut

Returns properties

Returns

OptionsOut

options

Inherited from

Tile.getProperties


getServerData

getServerData(): JSONObject | XMLDocument

Returns server data loaded from the server Should be used asynchronically after loadServerData() method is called

Returns

JSONObject | XMLDocument

Inherited from

Tile.getServerData


getServerURL

getServerURL(): string | string[]

Gets the server url that is currently used for requests

Returns

string | string[]

server url

Inherited from

Tile.getServerURL


getTransformerFromMap

getTransformerFromMap(): Transformer

Gets transformer to transform data from map coordinate system

Returns

Transformer

Inherited from

Tile.getTransformerFromMap


getTransformerToMap

getTransformerToMap(): Transformer

Gets transformer to transform data to map coordinate system

Returns

Transformer

Inherited from

Tile.getTransformerToMap


getUriScheme

getUriScheme(): string

Returns Bing Maps servers uri scheme

Returns

string


hasEventListener

hasEventListener(type, callback?): boolean

Check if a list of event listeners for this type contains this listener

Parameters

Name Type Description
typestringtype of event or property
Optional callbackFunctionto be called, if null, check if any callback is registered

Returns

boolean

Inherited from

Tile.hasEventListener


initLoader

Protected initLoader(loader?): Bing

Initializes the loader provided

Parameters

Name Type Description
Optional loaderAbstractLoaderloader to use

Returns

Bing

this

Inherited from

Tile.initLoader


isDataLoaded

isDataLoaded(): boolean

Returns true if server data is already loaded (or no loader provided)

Returns

boolean

Inherited from

Tile.isDataLoaded


isDataReady

isDataReady(): boolean

Checks if source (current visible) data is loaded and ready to be rendered

Returns

boolean

Inherited from

Tile.isDataReady


isDisposed

isDisposed(): boolean

Returns whether this object has been disposed

Returns

boolean

Inherited from

Tile.isDisposed


isLoading

isLoading(): boolean

Checks if some of the requests haven't been finished yet. Returns true if some data is loading, false otherwise.

Returns

boolean

Inherited from

Tile.isLoading


isSilent

isSilent(): boolean

Return true if the event dispatcher doesn't notify any events

Returns

boolean

Inherited from

Tile.isSilent


loadServerData

loadServerData(): Promise<Bing>

Returns promise that is loaded when server settings are ready to process

Returns

Promise<Bing>

Inherited from

Tile.loadServerData


loadSourceData

loadSourceData(): Promise<AbstractSource>

Returns promise that is resolving when data are ready to process

Returns

Promise<AbstractSource>

Inherited from

Tile.loadSourceData


notify

notify<E>(type, source, args?): Bing

Notify listeners

Type parameters

NameType
Eextends string

Parameters

Name Type Description
typeEevent types
sourceTileof the event
Optional argsEventMap[E]arguments of the event

Returns

Bing

this

Inherited from

Tile.notify


off

off<E>(type?, callback?): Bing

Detach listener on event. Calling .off() with no arguments removes all attached listeners. Calling .off(type) with no callback removes all attached listeners for specific type.

Type parameters

NameType
Eextends string

Parameters

Name Type Description
Optional typeEtype of the event
Optional callback(eventType: E, sender: Bing, args: EventMap[E]) => voidfunction to be called

Returns

Bing

this

Inherited from

Tile.off


on

on<E>(type, callback): Bing

Attach listener on event that will be called whenever the specified event is delivered to the target

If the callback function is already in the list of event listeners for this target, the function is not added a second time.

If a particular anonymous function is in the list of event listeners registered for a certain target, and then later in the code, an identical anonymous function is given in an "on" call, the second function will also be added to the list of event listeners for that target.

Type parameters

NameType
Eextends string

Parameters

Name Type Description
typeEtype of event or property
callback(eventType: E, sender: Bing, args: EventMap[E]) => voidto be called

Returns

Bing

this

Inherited from

Tile.on


resetLastQueryParams

Protected resetLastQueryParams(): Bing

Resets saved last queried limits and layer

Returns

Bing

this

Inherited from

Tile.resetLastQueryParams


setCenterPoint

setCenterPoint(point): Bing

Sets Bing Maps center point

Parameters

Name Type Description
pointPointbing maps culture code

Returns

Bing

this


setCulture

setCulture(culture): Bing

Sets Bing Maps culture code

Parameters

Name Type Description
culturestringbing maps culture code

Returns

Bing

this


setDataReady

Protected setDataReady(isReady, err?): Bing

Sets source (current visible) data ready/not ready, changes the corresponding promise

Parameters

Name Type Description
isReadybooleantrue if source data was loaded, false if it needs to be reset
Optional errErrordata loading error (if exists)

Returns

Bing

this

Inherited from

Tile.setDataReady


setImagerySet

setImagerySet(imagerySet): Bing

Sets Bing imagery set

Parameters

Name Type Description
imagerySetBingImagerySetbing imagery set

Returns

Bing

this


setInitialCoordinateSystem

setInitialCoordinateSystem(system): Bing

Sets the data initial coordinate system.

Parameters

Name Type Description
systemstring | AbstractSysteminitial coordinate system

Returns

Bing

this

Inherited from

Tile.setInitialCoordinateSystem


setKey

setKey(key): Bing

Sets Bing Maps API key

Parameters

Name Type Description
keystringbing maps key

Returns

Bing

this


setMapCoordinateSystem

setMapCoordinateSystem(system): Bing

Sets map coordinate system.

Parameters

Name Type Description
systemstring | AbstractSystemmap coordinate system

Returns

Bing

this

Inherited from

Tile.setMapCoordinateSystem


setProperties

setProperties(properties?): Bing

Sets properties (default properties listed are for construction time only)

Parameters

Name Type Description
Optional propertiesOptionsoptions

Returns

Bing

this

Inherited from

Tile.setProperties


setQueryParameter

setQueryParameter(param, value?): Bing

Sets custom query parameter to add to the data requests

Parameters

Name Type Description
paramstring | Record<string, string | number>parameter name or custom parameters object (in name -> value format)
Optional valuestring | numberparameter value

Returns

Bing

this

Inherited from

Tile.setQueryParameter


setServerURL

setServerURL(url): Bing

Sets the server url to use for requesting

Parameters

Name Type Description
urlstring | string[]server url

Returns

Bing

this

Inherited from

Tile.setServerURL


setSilent

setSilent(bool): Bing

Set silent mode

Parameters

Name Type Description
boolbooleanflag to enable silent mode

Returns

Bing

this

Inherited from

Tile.setSilent


setUriScheme

setUriScheme(uriScheme): Bing

Sets Bing Maps servers uri scheme to use

Parameters

Name Type Description
uriSchemestringbing maps servers uri scheme

Returns

Bing

this


update

update(): Bing

Aborts all the sent requests, resends the last one

Returns

Bing

this

Inherited from

Tile.update


getClassName

Static getClassName(): string

Returns

string

Inherited from

Tile.getClassName